Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.model.qjml
Class QMTargetFactory

    java.lang.Object
      |
      +--com.jxml.quick.model.qjml.QMCloneable
            |
            +--com.jxml.quick.model.qjml.QMTargetFactory

All Implemented Interfaces:
  Cloneable, QBiModal, QMTarget

public class QMTargetFactory
extends QMCloneable
implements QMTarget, QBiModal

Models the targetFactory element in QJML. The targetFactory element provides the name of a Java class which implements the interface com.jxml.quick.tf.QTargetFactory.

    DTD:

    <!ELEMENT targetFactory (#PCDATA)>

    <!ATTLIST targetFactory
        target CDATA "java.lang.Object"
        ID id #IMPLIED
    >

Field Summary
`String` | `target` Models the target attribute on the targetFactory element.
`String` | `text` The text content of the element.

Constructor Summary
`QMTargetFactory()`

Method Summary
`String` | `getClassName()` Returns the fully qualified name of the class being described by the coin holding this target element.
`String` | `getQText()` Returns the text content of the element.
`void` | `setQText(String text)` Sets the text content of the element.

Methods inherited from class com.jxml.quick.model.qjml.QMCloneable
`clone, clone, clone`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### text

    public String text

  The text content of the element.

### target

    public String target

  Models the target attribute on the targetFactory element. This is an optional attribute which names the class of objects which the target factory class instantiates.

Constructor Detail

### QMTargetFactory

    public QMTargetFactory()

Method Detail

### getQText

    public String getQText()

  Returns the text content of the element.
  Specified by:
    `getQText` in interface `QBiModal`

### setQText

    public void setQText(String text)

  Sets the text content of the element.
  Specified by:
    `setQText` in interface `QBiModal`

### getClassName

    public String getClassName()
                        throws SAXException

  Description copied from interface: `QMTarget`
  Returns the fully qualified name of the class being described by the coin holding this target element.
  Specified by:
    `getClassName` in interface `QMTarget`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD